package com.yanzuoguang.mq.base;

import org.springframework.amqp.rabbit.core.RabbitTemplate;

/**
 * 我的处理实例
 * @author 颜佐光
 */
public class MyRabbitTemplate {

    /**
     * 处理实例
     */
    private RabbitTemplate rabbitTemplate;

    /**
     * 构造函数
     * @param rabbitTemplate 处理的参数
     */
    public MyRabbitTemplate(RabbitTemplate rabbitTemplate){
        this.rabbitTemplate = rabbitTemplate;
    }

    /**
     * 获取实例
     * @return 当前实例
     */
    public RabbitTemplate getRabbitTemplate() {
        return rabbitTemplate;
    }

    /**
     * 当前实例
     * @param rabbitTemplate 需要设置的实例
     */
    public void setRabbitTemplate(RabbitTemplate rabbitTemplate) {
        this.rabbitTemplate = rabbitTemplate;
    }
}
